'smartdrv smarter output stats
'20-Apr-93 chh

'To be used in a batch file like so:

'@echo off
'smartdrv /s > %tmp%smartdrv.$$$
'cstat2
'del %tmp%smartdrv.$$$ > nul

'Lines of interest in output are:

'There have been    148 cache hits
'    and    70 cache misses
'
'Cache size:  1,572,864 bytes

DEFINT A-Z

tmp$ = ENVIRON$("TMP")
file$ = tmp$ + "SMARTDRV.$$$"

OPEN file$ FOR INPUT AS #1

DO WHILE NOT EOF(1)
   LINE INPUT #1, ln$
   t = INSTR(ln$, "There have been")
   IF t THEN

      hits$ = LTRIM$(RTRIM$(MID$(ln$, t + 16, 12)))
      h$ = "0"
      FOR i = 1 TO LEN(hits$)
         t$ = MID$(hits$, i, 1)
         IF t$ > "9" THEN EXIT FOR
         IF t$ <> "," THEN h$ = h$ + t$
      NEXT
      hits& = VAL(h$)

      LINE INPUT #1, ln$
      t = INSTR(ln$, "and")
      IF t THEN

         miss$ = LTRIM$(RTRIM$(MID$(ln$, t + 3, 12)))
         m$ = "0"
         FOR i = 1 TO LEN(miss$)
            t$ = MID$(miss$, i, 1)
            IF t$ > "9" THEN EXIT FOR
            IF t$ <> "," THEN m$ = m$ + t$
         NEXT
         miss& = VAL(m$)
      END IF

      total& = hits& + miss&
      percent = (hits& * 100&) \ total&
      PRINT "SmartDRV at "; LTRIM$(RTRIM$(STR$(percent))); "%"

   END IF
LOOP
CLOSE #1





